Subject: RE: RTSP session model

From: Eric Fleischman <[email-masked]>
Date: Thu, 10 Jul 1997 09:56:07 -0700

Alagu has made a very good point:

>This issue may be out of the scope of RTSP, but there must be
>some mention in the spec. that the client can not arbitrarily
>decide the grouping.

>For those working on the SDP format for use with RTSP, I think
>SDP should state the grouping being used.

I understand the desire on the part of the authors to have SETUP alone
determine the sessionID and transport. However, this presupposes that
the implementation is aware of the fact that the values which the client
uses for SETUP must be constrained by the information contained within
the session announcement vehicle. 

One can either do this by explicitly pointing this out in the spec as
Alagu has suggested or else to "upgrade" DESCRIBE to include SETUP's
functionality as I have been suggesting (for those cases in which a
session description already exists).